Get paginated action templates
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/templates/actions \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/templates/actions"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/templates/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"edges": [
{
"id": "<string>",
"organisationId": "<string>",
"communityId": "<string>",
"allocationId": "<string>",
"position": 123,
"details": {
"title": "<string>",
"description": "<string>",
"light": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
},
"dark": {
"primaryImageUrl": "<string>",
"secondaryImageUrl": "<string>"
}
},
"maxCompletionsPerPeriod": 1,
"attributes": {
"key": "<string>",
"question": "<string>",
"options": [
{
"id": "<string>",
"label": "<string>"
}
],
"minimumNumberOfAnswersRequired": 2,
"maximumNumberOfAnswersAllowed": 2,
"correctAnswers": [
"<string>"
]
},
"config": {
"isOptional": true,
"prerequisites": {
"requiredActionCount": 123,
"actionIds": [
"<string>"
]
},
"requiresCorrectAnswer": true
},
"xpConfig": {
"total": 1,
"knowledge": 1,
"creativity": 1,
"loyalty": 1,
"influence": 1,
"participation": 1,
"contribution": 1
},
"videoMetadata": {
"startsAtMs": 1,
"shouldPause": true,
"validatesAtMs": 1,
"endsAtMs": 1
},
"createdAt": "<string>",
"rewardDistribution": {
"points": 1,
"xp": 1,
"distributionEventId": "<string>",
"rewardAllocations": [
{
"rewardId": "<string>",
"allocationId": "<string>",
"amountToDistribute": 2
}
],
"numberOfRewardsToReceive": 1
},
"createdBy": "<string>",
"actionGroupId": "<string>",
"actionGroupIndex": 123,
"availableAsTemplateForOrganisations": [
"<string>"
],
"isGlobalTemplate": true,
"updatedAt": "<string>",
"updatedBy": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Templates
Get paginated action templates
Get a paginated list of action templates available to your organisation.
GET
/
templates
/
actions
Get paginated action templates
Authorizations
Headers
The language to return the actions in. If not provided, the default language for the organisation will be used.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

